// TestMfcDlgDll.cpp : Defines the entry point for the console application.
//

#include "stdafx.h"
#include "TestMfcDlgDll.h"
#include "MfcDlgDll.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#endif


// The one and only application object

CWinApp theApp;

using namespace std;

int _tmain(int argc, TCHAR* argv[], TCHAR* envp[])
{
	int nRetCode = 0;

	// initialize MFC and print and error on failure
	if (!AfxWinInit(::GetModuleHandle(NULL), NULL, ::GetCommandLine(), 0))
	{
		// TODO: change error code to suit your needs
		_tprintf(_T("Fatal Error: MFC initialization failed\n"));
		nRetCode = 1;
	}
	else
	{
		// TODO: code your application's behavior here.
		MfcDlgDll_Init();
		MfcDlgDll_LoadLibrary();

		void (*fTestFun)(LPCSTR);
		*(FARPROC*)&fTestFun = MfcDlgDll_GetProcAddress("TestFun");
		fTestFun("Hello World!");

		MfcDlgDll_FreeLibrary();
	}

	return nRetCode;
}
